GET
/
analytic
/
popularity
/
top
List top product popularity
curl --request GET \
  --url https://api.example.com/analytic/popularity/top
import requests

url = "https://api.example.com/analytic/popularity/top"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/analytic/popularity/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "cart_count": 123,
      "date_updated": "<string>",
      "favorite_count": 123,
      "id": "<string>",
      "purchase_count": 123,
      "review_count": 123,
      "score": 123,
      "view_count": 123
    }
  ],
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Query Parameters

page
integer

Page number (offset mode)

Required range: x >= 1
limit
integer

Items per page (max 100)

Required range: 1 <= x <= 100
cursor
string

Keyset cursor (cursor mode)

sort
string

Sort, e.g. -date_created

Response

OK

data
object[]
error
object